Token.TokenAttributeFactory (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.Token.TokenAttributeFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class Token.TokenAttributeFactory

    java.lang.Object
      org.apache.lucene.util.AttributeSource.AttributeFactory
          org.apache.lucene.analysis.Token.TokenAttributeFactory

Enclosing class:
  Token

    public static final class Token.TokenAttributeFactory

extends AttributeSource.AttributeFactory

Expert: Creates a TokenAttributeFactory returning `Token` as instance for the basic attributes and for all other attributes calls the given delegate factory.

Since:
  3.0

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeSource.AttributeFactory
`DEFAULT_ATTRIBUTE_FACTORY`

Constructor Summary
`Token.TokenAttributeFactory(AttributeSource.AttributeFactory delegate)` Expert: Creates an AttributeFactory returning `Token` as instance for the basic attributes and for all other attributes calls the given delegate factory.

Method Summary
`AttributeImpl` | `createAttributeInstance(Class<? extends Attribute> attClass)` returns an `AttributeImpl` for the supplied `Attribute` interface class.
`boolean` | `equals(Object other)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Token.TokenAttributeFactory

    public Token.TokenAttributeFactory(AttributeSource.AttributeFactory delegate)

  Expert: Creates an AttributeFactory returning `Token` as instance for the basic attributes and for all other attributes calls the given delegate factory.

Method Detail

### createAttributeInstance

    public AttributeImpl createAttributeInstance(Class<? extends Attribute> attClass)

  Description copied from class: `AttributeSource.AttributeFactory`
  returns an `AttributeImpl` for the supplied `Attribute` interface class.

  Specified by:
    `createAttributeInstance` in class `AttributeSource.AttributeFactory`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD